AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- AnalyticsProvider

## Index

### Methods

- configure
- getCategory
- getProviderName
- record

## Methods

### configure

- configure(config: object): object

- - Defined in analytics/src/types/Provider.ts:17

  #### Parameters

  - ##### config: object

  #### Returns object

### getCategory

- getCategory(): string

- - Defined in analytics/src/types/Provider.ts:23

  #### Returns string

### getProviderName

- getProviderName(): string

- - Defined in analytics/src/types/Provider.ts:26

  #### Returns string

### record

- record(params: object): Promise<boolean>

- - Defined in analytics/src/types/Provider.ts:20

  #### Parameters

  - ##### params: object

  #### Returns Promise<boolean>